# modify these definitions according to your distribution
%define distribution anolis

Name:          autospec
Version:       1.16.6.92
Release:       1%{?dist}
Summary:       Create specfiles and automatically update/check/fix rpm packages
Group:         Development/Tools
Vendor:        OpenAnolis Community
Distribution:  %{distribution}
URL:           https://sites.google.com/site/davidemadrisan/opensource#TOC-autospec-suite
Source:        autospec-%{version}.tar.gz
Requires(pre): bash
Requires(pre): make
Requires(pre): rpm
Requires:      cpio, coreutils, curl, findutils, grep, sed
Requires:      /bin/mktemp
Requires:      /usr/bin/getopt
%if "%{stage1}" != "1"
# host (and 'bind-utils') is not available in early stage platform development
Requires:      /usr/bin/host
%endif
Requires:      bzip2
Requires:      gzip
Requires:      unzip
#Requires:     sudo
Requires:      ftp
Requires:      %{name}-plugins = %{?epoch:%epoch:}%{version}-%{release}
BuildRequires: gettext
License:       Mulan PSL v2
BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Autospec is a tool for automatically generating specfiles and updating rpm packages.
Install autospec if you are a packager or you just want to build/upgrade rpm packages in an easy and quick way.

%package plugins
Summary:       Autospec plugins
Group:         Development/Tools
Requires:      %{name}-config-%{distribution} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-libs = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-templates-%{distribution} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-tests = %{?epoch:%epoch:}%{version}-%{release}
Requires(pre): rpm

%description plugins
This package contains the plugins needed for generating specfiles, updating rpm packages, and extracting files from a source rpm package.

%package config-%{distribution}
Summary:       Configuration files for autospec
Group:         Development/Tools
Provides:      %{name}-config = %{?epoch:%epoch:}%{version}-%{release}

%description config-%{distribution}
This package contains the configuration files for autospec.

%package libs
Summary:       Autospec libraries
Group:         Development/Tools

%description libs
This package contains the library functions needed by autospec, and their plugins.
They can be used by external tools that manage rpm packages and specfiles.

%package templates-%{distribution}
Summary:       Autospec templates
Group:         Development/Tools
Provides:      %{name}-templates = %{?epoch:%epoch:}%{version}-%{release}

%description templates-%{distribution}
This package contains the templates used by autospec for generating specfiles from tarballs.

%package tests
Summary:       Autospec tests
Group:         Development/Tools

%description tests
This package contains the tests to check rpm packages for quality and security issues.

%package tools
Summary:       Autospec extra tools
Group:         Development/Tools
Requires:      %{name}-libs = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains some extra tools.

%prep
%setup -q

%build
make prefix=%{_prefix}

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
make install DESTDIR=%{buildroot} prefix=%{_prefix}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%lang(it) %{_mandir}/it/man1/%{name}.*
%lang(it) %{?_localedir:%{_localedir}}%{!?_localedir:%_datadir/locale}/it/LC_MESSAGES/%{name}.mo
%doc AUTHORS BUGS ChangeLog COPYING NEWS TODO

%files plugins
%defattr(-,root,root)
%{_bindir}/config-getvar
%{_bindir}/pck-extract
%{_bindir}/pck-update
%{_bindir}/spec-create
%config %attr(644,root,root) %{_sysconfdir}/%{name}.conf

%files config-%{distribution}
%defattr(-,root,root)
%dir %{_sysconfdir}/%{name}.d
%config %attr(644,root,root) %{_sysconfdir}/%{name}.d/*.conf
%config %attr(644,root,root) %{_sysconfdir}/%{name}.d/color-theme.*

%files libs
%defattr(-,root,root)
%{_datadir}/%{name}/lib/*

%files templates-%{distribution}
%defattr(-,root,root)
%{_datadir}/%{name}/templates

%files tests
%defattr(-,root,root)
%{_datadir}/%{name}/tests

%files tools
%defattr(-,root,root)
%{_bindir}/extract-specs
%{_bindir}/autoupdate-*

%changelog
* Tue Apr 19 2022 Jacob Wang <jacob.wang@openanolis.org> - 1.16.6.92-1
- Import initial version 1.16.6.92
